/*
 * info.h
 * Copyright (C) 2010 - 2013 Peter Belkner <pbelkner@snafu.de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// WA tags
INFO_BEGIN(artist)
INFO_ALT(artist,TPE1)
INFO_END()

INFO_BEGIN(album)
INFO_ALT(album,TALB)
INFO_END()

INFO_BEGIN(year)
INFO_ALT(year,date)
INFO_ALT(year,TYER)
INFO_END()

INFO_BEGIN(track)
INFO_ALT(track,tracknumber)
INFO_ALT(track,TRCK)
INFO_ALT(track,PART_NUMBER)
INFO_END()

INFO_BEGIN(title)
INFO_ALT(title,TIT2)
INFO_END()

INFO_BEGIN(comment)
INFO_ALT(comment,COMM)
INFO_END()

INFO_BEGIN(genre)
INFO_ALT(genre,TCON)
INFO_END()

INFO_BEGIN(replaygain_track_gain)
INFO_END()

INFO_BEGIN(replaygain_album_gain)
INFO_END()

INFO_BEGIN(albumartist)
INFO_ALT(albumartist,album artist)
INFO_ALT(albumartist,album_artist)
INFO_ALT(albumartist,TPE2)
INFO_END()

INFO_BEGIN(composer)
INFO_ALT(composer,TCOM)
INFO_END()

INFO_BEGIN(publisher)
INFO_ALT(publisher,TPUB)
INFO_END()

INFO_BEGIN(disc)
INFO_ALT(disc,TPOS)
INFO_ALT(disc,discnumber)
INFO_END()

INFO_BEGIN(bpm)
INFO_ALT(bpm,TBPM)
INFO_END()

#if 0
// non WA tags
INFO2_BEGIN(replaygain_album_peak)
INFO2_END()

INFO2_BEGIN(replaygain_track_peak)
INFO2_END()

INFO2_BEGIN(replaygain_algorithm)
INFO2_END()

INFO2_BEGIN(video_crop)
INFO2_END()
#endif
