/*
 * ffsox_rep.c
 * Copyright (C) 2011, 2012 Peter Belkner <pbelkner@snafu.de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <stdlib.h>
#include <string.h>
#include "ffsox_rep.h"

///////////////////////////////////////////////////////////////////////////////
ffsox_rep_t *ffsox_rep_init(ffsox_rep_t *r)
{
  memset(r,0,sizeof *r);

  return r;
}

ffsox_rep_t *ffsox_rep_cleanup(ffsox_rep_t *r)
{
  if (NULL!=r->buf)
    free(r->buf);

  return r;
}
