#include <stdlib.h>
#include <stdio.h>
#include "pb_xy.h"

///////////////////////////////////////////////////////////////////////////////
int main(int argc, char **argv)
{
  pb_str_t *ps1=pb_str_cre(_T("hello"));
  pb_str_t *ps2=pb_str_dup_pfx(NULL,ps1);
  //pb_str_t *ps2=pb_str_cat_ps(ps1,NULL);

  fprintf(stdout,"\"%s\"\n",PS_OEM(ps1));
  fprintf(stdout,"\"%s\"\n",PS_OEM(ps2));
//fprintf(stderr,"1.1 ...\n");
  free(ps2);
//fprintf(stderr,"1.2 ...\n");
  free(ps1);
//fprintf(stderr,"1.3 ...\n");

  return 0;
}

///////////////////////////////////////////////////////////////////////////////
int main1(int argc, char **argv)
{
  TCHAR *tsp[]={
    _T("hello"),
    _T("cruel"),
    _T("world"),
	NULL
  };

  char *csp[]={
    "hello",
    "cruel",
    "world",
	NULL
  };

  int i,n=sizeof(tsp)/sizeof(tsp[0])-1;
  pb_str_t *ps=NULL;
  pb_str_t **psp=NULL;

  /////////////////////////////////////////////////////////////////////////////
  if (NULL==(ps=pb_str_cat_ps(_PS("C:")
      ,PS_SEP,_PS("hello")
      ,PS_SEP,_PS("cruel")
      ,PS_SEP,_PS("world")
      ,NULL)))
    exit(1);

  fprintf(stdout,"\"%s\"\n",PS_OEM(ps));
  free(ps);
  ps=NULL;

  /////////////////////////////////////////////////////////////////////////////
  if (NULL==(ps=pb_str_cat(_T("C:")
      ,_T("\\"),_T("hello")
      ,_T("\\"),_T("cruel")
      ,_T("\\"),_T("world")
      ,NULL)))
    exit(1);

  fprintf(stdout,"\"%s\"\n",PS_OEM(ps));
  free(ps);
  ps=NULL;

  /////////////////////////////////////////////////////////////////////////////
  if (NULL==(psp=pb_str_cre_n(tsp,n)))
    exit(1);

  for (i=0;i<n;++i)
    fprintf(stdout,"\"%s\"\n",PS_OEM(psp[i]));

  free(psp);
  psp=NULL;

  /////////////////////////////////////////////////////////////////////////////
  if (NULL==(psp=pb_str_cre_v(tsp)))
    exit(1);

  for (i=0;i<n;++i)
    fprintf(stdout,"\"%s\"\n",PS_OEM(psp[i]));

  free(psp);
  psp=NULL;

  /////////////////////////////////////////////////////////////////////////////
  if (NULL==(psp=pb_str_cre_v_cs(csp)))
    exit(1);

  for (i=0;i<n;++i)
    fprintf(stdout,"\"%s\"\n",PS_OEM(psp[i]));

  free(psp);
  psp=NULL;

  /////////////////////////////////////////////////////////////////////////////
  //fprintf(stdout,">>> %d, %d\n",'\0',L'\0');

  return 0;
}
