/*
 * pb_basenamew.c
 * Copyright (C) 2011-2017 Peter Belkner <pbelkner@snafu.de>
 *
 * This file is part of the "Winamp FFmpeg  (First Generation)
 * Input Plugin" (in_ffmpeg-1).
 *
 * in_ffmpeg-1 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * in_ffmpeg-1 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with in_ffmpeg-1.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <string.h>
#include "pb.h"

///////////////////////////////////////////////////////////////////////////////
const wchar_t *pb_basenamew(const wchar_t *str)
{
  const wchar_t *p=str+wcslen(str);

  while (str<p&&L'/'!=p[-1]&&L'\\'!=p[-1]&&L':'!=p[-1])
    --p;

  return p;
}
