#include "pb.h"

#if defined (WIN32) && defined (UNICODE)
#if ! defined (GET_COMMAND_LINE)
// http://msdn.microsoft.com/en-us/library/ff770599.aspx
//typedef struct _startupinfo _startupinfo;
typedef int _startupinfo;

int __wgetmainargs (
   int *_Argc,
   wchar_t ***_Argv,
   wchar_t ***_Env,
   int _DoWildCard,
   _startupinfo * _StartInfo);
#endif
#endif

pb_str_t **pb_str_args2pargs(int argc, char **argv, int *pargc,
    pb_str_t ***pargv)
{
#if defined (WIN32) && defined (UNICODE)
  int wargc;
  wchar_t **wargv=NULL;
#if ! defined (GET_COMMAND_LINE)
  wchar_t **wenv=NULL;
  int code;
  HANDLE h=NULL;
  typeof(__wgetmainargs) *wgetmainargs;
#endif
  *pargv=NULL;
  wargv=NULL;

#if defined (GET_COMMAND_LINE)
  if (NULL==(wargv=CommandLineToArgvW(GetCommandLineW(),&wargc)))
	goto cleanup;
#else
  h=LoadLibrary(_T("msvcrt.dll"));
  wgetmainargs=h?(void *)GetProcAddress(h,"__wgetmainargs"):NULL;

  if (NULL!=wgetmainargs) {
	int x=0;

    code=wgetmainargs (
      &wargc,     // int *_Argc,
      &wargv,     // wchar_t ***_Argv,
      &wenv,      // wchar_t ***_Env,
      1,          // int _DoWildCard,
      &x          // _startupinfo * _StartInfo);
    );

    if (0!=code)
      goto cleanup;
  }
  else if (NULL==(wargv=CommandLineToArgvW(GetCommandLineW(),&wargc)))
	goto cleanup;
#endif

  if (NULL==(*pargv=pb_str_cre_n(wargv,wargc)))
	goto cleanup;

  *pargc=wargc;
cleanup:
#if defined (GET_COMMAND_LINE)
  if (NULL!=wargv)
	LocalFree(wargv);
#else
  // don't know whether to free "wargv" and "wenv" or not and in case how.

  if (NULL!=h)
    FreeLibrary(h);
#endif

  return *pargv;
#else
  if (NULL==(*pargv=pb_str_cre_n(argv,argc)))
	return NULL;

  *pargc=argc;

  return *pargv;
#endif
}
