#if ! defined (WIN32)
#include <errno.h>
#include <sys/types.h>
#include <unistd.h>
#endif
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "pb.h"

#if defined (WIN32) && defined (UNICODE)
#  define pb_tname	    pb_wname
#else
#  define pb_tname      pb_name
#endif

// http://stackoverflow.com/questions/1023306/finding-current-executables-path-without-proc-self-exe
// http://stackoverflow.com/questions/3714371/alternative-to-proc-pid-exe-symlink-for-retrieving-another-processes-full-path

pb_str_t *pb_str_home(int root)
{
#if ! defined (WIN32)
  char path[64];
#endif
  size_t size=512;
  size_t len;
  TCHAR *buf,*mp;
  pb_str_t *ps;

  if (NULL==(buf=malloc(size*sizeof *buf)))
    goto error;

#if defined (WIN32)
  for (;;) {
    len=GetModuleFileName(NULL,buf,size-1);

	if (ERROR_INSUFFICIENT_BUFFER==GetLastError()) {
	  TCHAR *buf1;

	  if (NULL==(buf1=realloc(buf,(size*=2)*sizeof *buf)))
	    goto error;
	  else
	    buf=buf1;
	}
	else
	  break;
  }

  buf[len]=0;
#else
  sprintf(path,"/proc/%d/exe",getpid());

  if (NULL==(buf=malloc(size*sizeof *buf)))
    goto error;

  while ((len=readlink(path,buf,size-1))<0) {
	char *buf1;

    if (ENAMETOOLONG!=errno)
	  goto error;
	else if (NULL==(buf1=realloc(buf,(size*=2)*sizeof *buf)))
	  goto error;
	else
	  buf=buf1;
  }
#endif
  if (root) {
    mp=pb_tname(buf);

    if (NULL!=mp&&buf<mp)
      *--mp=0;

    if (NULL==(ps=pb_str_cre(buf)))
      goto error;
  }
  else if (NULL==(ps=pb_str_cre(buf)))
    goto error;

  free(buf);

  return ps;
error:
  fprintf(stderr, "Error reading path.\n");

  if (NULL!=buf)
    free(buf);

  return NULL;
}
